#ifndef _vector3

#define _vector3


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes


typedef struct vector3{

	float x;

	float y;

	float z;


} vector3;

void vector3_constructor( vector3 * this, float x,  float y,  float z );

vector3 * vector3_operator_plus( vector3 * this, vector3 * b );

vector3 * vector3_operator_add( vector3 * this, vector3 * b );

void vector3_add( vector3 * this, vector3 * b );

vector3 vector3_new( float x, float y, float z );

vector3 * vector3_newPointer( float x, float y, float z );

#endif


typedef struct vector3 vector3;



